## net.sf.saxon.serialize
Class HTMLTagHashSet

    java.lang.Object
      net.sf.saxon.serialize.HTMLTagHashSet

    public class HTMLTagHashSet

extends Object

A simple class for testing membership of a fixed set of case-insensitive ASCII strings. The class must be initialised with enough space for all the strings, it will go into an infinite loop if it fills. The string matching is case-blind, using an algorithm that works only for ASCII. The class implements part of the java.util.Set interface; it could be replaced with an implementation of java.util.Set together with a class that implemented a customized equals() method.

Constructor Summary
`HTMLTagHashSet(int size)`

Method Summary
`void` `add(String s)`
`boolean` `contains(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLTagHashSet

    public HTMLTagHashSet(int size)

Method Detail

### add

    public void add(String s)

### contains

    public boolean contains(String s)

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.